Intermittent crashtest leak of objects related to layout/base/crashtests/414058-1.html

RESOLVED WORKSFORME

Status

()

Core
XBL
RESOLVED WORKSFORME
8 years ago
5 years ago

People

(Reporter: Phil's Orange Reporter, Unassigned)

Tracking

({intermittent-failure, memory-leak})

Trunk
x86
Windows Server 2003
intermittent-failure, memory-leak
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286319304.1286320182.27394.gz&fulltext=1#err0
WINNT 5.2 tracemonkey debug test crashtest on 2010/10/05 15:55:04
s: win32-slave02

Leaked URLs:
  resource://gre-resources/ua.css
...
  chrome://global/skin/arrow/arrow-dn.gif
  file:///e:/builds/moz2_slave/tracemonkey-win32-debug-unittest-crashtest/build/reftest/tests/layout/base/crashtests/414058-1.html
  file:///e:/builds/moz2_slave/tracemonkey-win32-debug-unittest-crashtest/build/reftest/tests/layout/base/crashtests/414058-1.html
  file:///e:/builds/moz2_slave/tracemonkey-win32-debug-unittest-crashtest/build/reftest/tests/layout/base/crashtests/414058-1.html#none
  file:///e:/builds/moz2_slave/tracemonkey-win32-debug-unittest-crashtest/build/reftest/tests/layout/base/crashtests/414058-1.html

Updated

8 years ago
Keywords: mlk

Comment 1

8 years ago
XBL is the sketchiest part of the testcase, so tentatively blaming XBL.

Related to bug 583449?
Component: Layout → XBL
QA Contact: layout → xbl
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286386865.1286387807.6082.gz&fulltext=1#err0
WINNT 5.2 tracemonkey debug test crashtest on 2010/10/06 10:41:05
s: win32-slave08
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1293148014.1293148476.26442.gz
Rev3 MacOSX Leopard 10.5.8 tracemonkey debug test crashtest on 2010/12/23 15:46:54
s: talos-r3-leopard-035
(Assignee)

Updated

6 years ago
Keywords: intermittent-failure
(Assignee)

Updated

6 years ago
Whiteboard: [orange]

Comment 6

5 years ago
Resolving WFM any keyword:intermittent-failure bug where:
* Changed: (is less than or equal to) -3m
* Whiteboard: (contains none of the strings) random disabled marked fuzzy todo fails failing annotated time-bomb
* Whiteboard: (does not contain the string) leave open

There will inevitably be some false positives; for that (and the bugspam) I apologise, but at least this will clear out the open cruft (and thus reduce risk of mis-starring) on TBPL's annotated summary bug suggestions.

Filter on orangewfm.
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.